use serde::Deserialize;

#[derive(Deserialize, Clone)]
pub struct BootConfigDef{
    pub hostname: String,
    pub yukari_log_debug: bool,
}

impl BootConfigDef {
    pub fn default() -> BootConfigDef {
        BootConfigDef{
            hostname: "ELIP4NG-Default-Hostname".to_string(),
            yukari_log_debug: false,
        }
    }
}